| Qore WebSocketClient Module Reference 1.9.1

Classes | Variables
WebSocketClient Namespace Reference

the WebSocketClient namespace contains all the definitions in the WebSocketClient module More...

## Classes
class | WebSocketClient
| the main websocket client class More...
class | WebSocketConnectionObject
| class for websocket connections; returns an object of class WebSocketClient for receiving websocket events from a websocket server More...

## Variables
const | WSC_Break = 2
| If the client should stop listening (message already processed)
const | WSC_Continue = 1
| If the client should continue listening (message already processed)
const | WSC_Process = 0
| If the client should process the message normally.
const | WsDefaultPort = 80
| default port for connections
const | WsSchemes = ...
| known websocket schemes

## Detailed Description

the WebSocketClient namespace contains all the definitions in the WebSocketClient module